# studio::Widget_Timeslider Class Reference

`#include <widget_timeslider.h>`

Inheritance diagram for studio::Widget_Timeslider:

List of all members.

## Public Member Functions

| Widget_Timeslider ()
| ~Widget_Timeslider ()
void | draw ()
virtual void | refresh ()
double | get_global_fps () const
void | set_global_fps (float d)
Gtk::Adjustment & | get_time_adjustment () const
void | set_time_adjustment (Gtk::Adjustment *x)
Gtk::Adjustment & | get_bounds_adjustment () const
void | set_bounds_adjustment (Gtk::Adjustment *x)

## Protected Member Functions

virtual bool | on_motion_notify_event (GdkEventMotion *event)
virtual bool | on_scroll_event (GdkEventScroll *event)
virtual bool | on_button_press_event (GdkEventButton *event)
virtual bool | on_button_release_event (GdkEventButton *event)
virtual bool | on_expose_event (GdkEventExpose *)
virtual bool | redraw (bool doublebuffer=false)
void | zoom_in (bool centerontime=false)
void | zoom_out (bool centerontime=false)

## Protected Attributes

Glib::RefPtr< Pango::Layout > | layout
Gtk::Adjustment | adj_default
Gtk::Adjustment * | adj_timescale
Gtk::Adjustment * | adj_bounds
double | time_per_tickmark
guint32 | last_event_time
float | fps
sigc::connection | time_value_change
sigc::connection | time_other_change
bool | dragscroll
double | lastx

## Constructor & Destructor Documentation

Widget_Timeslider::Widget_Timeslider | ( |  | ) |

References adj_default, fullheight, and set_time_adjustment().

Widget_Timeslider::~Widget_Timeslider | ( |  | ) |

## Member Function Documentation

bool Widget_Timeslider::on_motion_notify_event | ( | GdkEventMotion * | event | ) | `[protected, virtual]`

References adj_bounds, adj_timescale, dragscroll, fps, last_event_time, and lastx.

bool Widget_Timeslider::on_scroll_event | ( | GdkEventScroll * | event | ) | `[protected, virtual]`

References adj_bounds, adj_timescale, time_per_tickmark, zoom_in(), and zoom_out().

bool Widget_Timeslider::on_button_press_event | ( | GdkEventButton * | event | ) | `[protected, virtual]`

References adj_timescale, dragscroll, fps, and lastx.

bool Widget_Timeslider::on_button_release_event | ( | GdkEventButton * | event | ) | `[protected, virtual]`

References dragscroll.

virtual bool studio::Widget_Timeslider::on_expose_event | ( | GdkEventExpose * |  | ) | `[inline, protected, virtual]`

References redraw().

bool Widget_Timeslider::redraw | ( | bool | doublebuffer = `false` | ) | `[protected, virtual]`

References adj_timescale, synfigapp::Action::create(), EPSILON, fps, fullheight, get_global_fps(), studio::App::get_time_format(), layout, and time_per_tickmark.

Referenced by draw(), and on_expose_event().

void Widget_Timeslider::zoom_in | ( | bool | centerontime = `false` | ) | `[protected]`

References adj_bounds, adj_timescale, and zoominfactor.

Referenced by on_scroll_event().

void Widget_Timeslider::zoom_out | ( | bool | centerontime = `false` | ) | `[protected]`

References adj_bounds, adj_timescale, and zoomoutfactor.

Referenced by on_scroll_event().

void studio::Widget_Timeslider::draw | ( |  | ) | `[inline]`

Reimplemented in studio::Widget_Sound.

References redraw().

void Widget_Timeslider::refresh | ( |  | ) | `[virtual]`

double studio::Widget_Timeslider::get_global_fps | ( |  | ) | const`[inline]`

References fps.

Referenced by redraw().

void Widget_Timeslider::set_global_fps | ( | float | d | ) |

References fps.

Referenced by studio::Dock_Timetrack::changed_canvas_view_vfunc(), and studio::Dock_Curves::changed_canvas_view_vfunc().

Gtk::Adjustment& studio::Widget_Timeslider::get_time_adjustment | ( |  | ) | const`[inline]`

References adj_timescale.

void Widget_Timeslider::set_time_adjustment | ( | Gtk::Adjustment * | x | ) |

References adj_timescale, time_other_change, and time_value_change.

Referenced by studio::Dock_Timetrack::changed_canvas_view_vfunc(), studio::Dock_Curves::changed_canvas_view_vfunc(), studio::Widget_Preview::Widget_Preview(), and Widget_Timeslider().

Gtk::Adjustment& studio::Widget_Timeslider::get_bounds_adjustment | ( |  | ) | const`[inline]`

References adj_bounds.

void studio::Widget_Timeslider::set_bounds_adjustment | ( | Gtk::Adjustment * | x | ) | `[inline]`

References adj_bounds.

Referenced by studio::Dock_Timetrack::changed_canvas_view_vfunc(), and studio::Dock_Curves::changed_canvas_view_vfunc().

## Member Data Documentation

Glib::RefPtr<Pango::Layout> studio::Widget_Timeslider::layout `[protected]`

Referenced by redraw().

Gtk::Adjustment studio::Widget_Timeslider::adj_default `[protected]`

Referenced by Widget_Timeslider().

Gtk::Adjustment* studio::Widget_Timeslider::adj_timescale `[protected]`

Referenced by studio::Widget_Sound::get_position(), get_time_adjustment(), on_button_press_event(), on_motion_notify_event(), on_scroll_event(), redraw(), studio::Widget_Sound::set_position(), set_time_adjustment(), zoom_in(), and zoom_out().

Gtk::Adjustment* studio::Widget_Timeslider::adj_bounds `[protected]`

Referenced by get_bounds_adjustment(), on_motion_notify_event(), on_scroll_event(), set_bounds_adjustment(), zoom_in(), and zoom_out().

double studio::Widget_Timeslider::time_per_tickmark `[protected]`

Referenced by on_scroll_event(), and redraw().

guint32 studio::Widget_Timeslider::last_event_time `[protected]`

Referenced by on_motion_notify_event().

float studio::Widget_Timeslider::fps `[protected]`

Referenced by get_global_fps(), on_button_press_event(), on_motion_notify_event(), redraw(), and set_global_fps().

sigc::connection studio::Widget_Timeslider::time_value_change `[protected]`

Referenced by set_time_adjustment().

sigc::connection studio::Widget_Timeslider::time_other_change `[protected]`

Referenced by set_time_adjustment().

bool studio::Widget_Timeslider::dragscroll `[protected]`

Referenced by on_button_press_event(), on_button_release_event(), and on_motion_notify_event().

double studio::Widget_Timeslider::lastx `[protected]`

Referenced by on_button_press_event(), and on_motion_notify_event().

The documentation for this class was generated from the following files:

- widget_timeslider.h
- widget_timeslider.cpp